DataSetRegistrationServiceV2 (server-original-data-store 7.0.0-rc.3+1777024182 API)
Description: declaration: package: ch.systemsx.cisd.etlserver.registrator.api.v2, class: DataSetRegistrationServiceV2

Package ch.systemsx.cisd.etlserver.registrator.api.v2

# Class DataSetRegistrationServiceV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation>

java.lang.Object
ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.JythonDataSetRegistrationServiceV2<T>
ch.systemsx.cisd.etlserver.registrator.api.v2.DataSetRegistrationServiceV2<T>

All Implemented Interfaces:
  `ch.systemsx.cisd.etlserver.registrator.v2.DataSetStorageAlgorithmRunner.IPrePostRegistrationHook<T>`

public class DataSetRegistrationServiceV2<T extends ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation> extends JythonDataSetRegistrationServiceV2<T>

- ## Field Summary

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.JythonDataSetRegistrationServiceV2

  `MAIL_CONTACT_ADDRESSES_KEY`

  ### Fields inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `dssRegistrationLog, encounteredErrors, transaction, userSessionToken`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DataSetRegistrationServiceV2(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate)`

- ## Method Summary

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.JythonDataSetRegistrationServiceV2

  `commit, getTransaction, logDssRegistrationResult, rollbackAndForgetTransaction`

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.api.v2.JythonTopLevelDataSetHandlerV2.JythonDataSetRegistrationService

  `cleanAfterRegistrationIfNecessary, getInterpreter`

  ### Methods inherited from class ch.systemsx.cisd.etlserver.registrator.v2.DataSetRegistrationService

  `abort, createStorageAlgorithm, createStorageAlgorithmWithIdentifiedStrategy, createStorageAlgorithmWithStrategy, createTransaction, didEncounterSecondaryTransactionErrors, didErrorsArise, didRollbackTransaction, executeGlobalCleanAfterwardsAction, executePostCommit, executePostRegistration, executePreRegistration, getDataSetRegistrationDetailsFactory, getDssRegistrationLog, getEncounteredErrors, getEntityRegistrationService, getIncomingDataSetFile, getRegistrator, getRegistratorContext, moveIncomingToError, registerNonFatalError, setUserSessionToken, shouldUsePrestaging, transaction, transaction`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DataSetRegistrationServiceV2

    public DataSetRegistrationServiceV2(ch.systemsx.cisd.etlserver.registrator.v2.AbstractProgrammableTopLevelDataSetHandler<T> registrator, ch.systemsx.cisd.etlserver.registrator.DataSetFile incomingDataSetFile, ch.systemsx.cisd.openbis.dss.generic.shared.dto.DataSetInformation userProvidedDataSetInformationOrNull, ch.systemsx.cisd.common.action.IDelegatedActionWithResult<Boolean> globalCleanAfterwardsAction, ch.systemsx.cisd.etlserver.ITopLevelDataSetRegistratorDelegate delegate)